<?php


function CRM_TESTY_PYTANIA_TO_IMPORT() {

	$_REQUEST['ID']=addslashes($_REQUEST['ID']);
	$sql="select * from `CRM_TESTY_PYTANIA_TO_IMPORT` where ID='{$_REQUEST['ID']}' and CRM_TESTY_PYTANIA_ID < 1";
	$res=DB::query($sql);
	while($h=DB::fetch($res)) {
		
		if(!empty($h->IMPORT_FROM_TESTWIEDZY_PL)) {
		  //struktura dla importu z portalu testwiedzy.pl
		  //1. Jak nazywa się plik, w którym menedżer pamięci wirtualnej zapisuje dane?
		  //A. Dysk lokalny 
		  //B. Kosz 
		  //C. Autostart 
		  //D. Plik wymiany 
		  //Poprawna odpowiedź: D 
		  //Twoja odpowiedź: D
		  //zgłoś błąd w pytaniu, zdobywaj punkty korektora »
		  
		  $rows=explode("\n",$h->IMPORT_FROM_TESTWIEDZY_PL);
			$sz_pyt=true;
			$sz_odp=false;
			$sz_popr_odp=false;
			$sz_tw_odp=false;
			$sz_uzas=false;
			$sz_uzas_tresc=false;
			$sz_komentarz=false;
			$sz_zg=false;
			$id=1;
		  foreach($rows as $row) {
			//echo "<br>testing pyt:".$sz_pyt." odp:".$sz_odp." popr_odp:".$sz_popr_odp." tw_odp:".$sz_tw_odp." uzas:".$sz_uzas." uza_tr:".$sz_uzas_tresc." kom:".$sz_komentarz." :".$row;


		  	 if($sz_pyt)  {
		  	  	if(ereg("([0-9]{1,2}\.)",$row[0].$row[1].$row[2])) { 
			  	  	 ereg("([0-9]{1,2}\.)(.*)",$row,$out); 
			  	  	$test[$id]['pytanie']=mysql_real_escape_string($out[2]); $sz_pyt=false; $sz_odp=true;
		  	    continue;		  	  	
		  	  	}  
			 } 
			 
			 if($sz_odp) {
			  	if(ereg("([A-D])\.",$row[0].$row[1])) { 
			  		ereg("([A-D]\.)(.*)",$row,$out);
			  		$test[$id]['odpowiedz'][$row[0]]=mysql_real_escape_string($out[2]);  
			  		continue;		  	  	
			  	} else {
			 	$sz_odp=false; $sz_popr_odp=true;
			 	}
			 } 

			 
			 if($sz_popr_odp) {
			  	if(ereg("^Poprawna",$row)) { ereg("(.*:\ )([A-D])",$row,$out); $test[$id]['poprawna']=mysql_real_escape_string($out[2]); $sz_tw_odp=true; $sz_popr_odp=false;   continue;}
			 }
			 if($sz_tw_odp) {
			  	if(ereg("^Twoja",$row)) { //$test[$id]['twoja']=$row; 
			  	 $sz_tw_odp=false;   $sz_uzas=true;  continue;  	}
			 }
			 if($sz_uzas) {
			  	if(ereg("^Uzasadnienie",$row)) {    $sz_uzas=false;   $sz_uzas_tresc=true;  continue;
			  								   } else {   $sz_pyt=true;}
			 } else {   $sz_pyt=true;}
			
			 if($sz_uzas_tresc) {
			  	 $test[$id]['uzasadnienie']=$row ; $sz_pyt=true; $sz_uzas_tresc=false; continue;  	
			 }
			 $id++;
		  }
		  
		
		}




DEBUG_S(-3,'test',$test);
//dodajemy strukture Array
/*
(
    [1] => Array
        (
            [pytanie] =>  Jak nazywa się plik, w którym menedżer pamięci wirtualnej zapisuje dane?
            [odpowiedz] => Array
                (
                    [A] =>  Dysk lokalny 
                    [B] =>  Kosz 
                    [C] =>  Autostart 
                    [D] =>  Plik wymiany 
                )

            [poprawna] => D
        )
*/

if(!empty($test)) {

$sql="insert into CRM_PROCES (PARENT_ID,`TYPE`,`DESC`,A_RECORD_CREATE_DATE,A_RECORD_CREATE_AUTHOR,TEST_PYTANIE) values ('".$h->ID_PROCES."', 'PROCES','".$h->DESC."',now(),'".User::getname()."','1') ";
		echo "<br>".$sql;   
		DB::query($sql);
		$inserted_proces=DB::insert_id();

}
   foreach($test as $id=>$val) {
   		$odps=array('A'=>1,'B'=>2,'C'=>3,'D'=>4);
   		foreach($odps as $opcja=>$value) {
   			$odp[$opcja]='';
   			if($val['poprawna'][$opcja]==$opcja)  $odp[$opcja]='TAK';
   			else if(isset($val['odpowiedz'][$opcja])) $odp[$opcja]='NIE';
   		}		
   				
   		$sql="insert into CRM_TESTY_PYTANIA (ID_PROCES,PYTANIE,ODP_0,ODP_1,ODP_2,ODP_3,ODP_0_ODP,ODP_1_ODP,ODP_2_ODP,ODP_3_ODP,A_RECORD_CREATE_DATE,A_RECORD_CREATE_AUTHOR) values 
				   		 ('".$inserted_proces."','".$val['pytanie']."','".$val['odpowiedz']['A']."','".$val['odpowiedz']['B']."','".$val['odpowiedz']['C']."','".$val['odpowiedz']['D']."','".$odp['A']."','".$odp['B']."','".$odp['C']."','".$odp['D']."',now(),'".User::getname()."')
   		 ";
   		echo "<br>".$sql;
   		DB::query($sql);
   		
   		$sql="update CRM_TESTY_PYTANIA_TO_IMPORT set CRM_TESTY_PYTANIA_ID='".DB::insert_id()."' where ID='".$h->ID."'";
		echo "<br>".$sql;
   		DB::query($sql);
   }


		
	}


}



